import request from "@/utils/request";

//筛选下拉列表参数
export function lineTree(data) {
    return request({
        url: "/cs-device-boot/csLedger/lineTree",
        method: "post",
        data,
    });
}
//监测点指标
export function target(params) {
    return request({
        url: "/cs-harmonic-boot/lineTarget/target",
        method: "post",
        params,
    });
}
//组态图元新增
export function add(data) {
    return request({
        url: "/cs-harmonic-boot/csElement/add",
        method: "post",
        data,
        responseType: "blob",
    });
}
//查询组态图元数据
export function find(data) {
    return request({
        url: "/cs-harmonic-boot/csElement/find",
        method: "post",
        data,
    });
}
//组态页面分页查询
export function queryPage(data) {
    return request({
        url: "/cs-harmonic-boot/cspage/queryPage",
        method: "post",
        data,
    });
}
//新增组态页面
export function addPage(data) {
    return request({
        url: "/cs-harmonic-boot/cspage/add",
        method: "post",
        data,
        responseType: "blob",
    });
}
//修改组态页面
export function audit(data) {
    return request({
        url: "/cs-harmonic-boot/cspage/audit",
        method: "post",
        data,
        responseType: "blob",
    });
}